Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 227741 - xrandr offers non-functional resolution/refresh combo
Summary: xrandr offers non-functional resolution/refresh combo
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-i810
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Adam Jackson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-07 21:26 UTC by Bill Nottingham
Modified: 2018-04-11 08:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-07-14 16:48:19 UTC


Attachments (Terms of Use)
X log (deleted)
2007-02-07 21:28 UTC, Bill Nottingham
no flags Details
xorg.conf (deleted)
2007-02-08 16:57 UTC, Bill Nottingham
no flags Details

Description Bill Nottingham 2007-02-07 21:26:49 UTC
Description of problem:
]$ DISPLAY=:0 xrandr 
 SZ:    Pixels          Physical       Refresh
*0   1680 x 1050   ( 569mm x 356mm )  *60  
 1   1280 x 1024   ( 569mm x 356mm )   75   60  
 2   1152 x 864    ( 569mm x 356mm )   75  
 3   1024 x 768    ( 569mm x 356mm )   75   60  
 4    800 x 600    ( 569mm x 356mm )   75   60  
 5    640 x 480    ( 569mm x 356mm )   75   60  
 6    720 x 400    ( 569mm x 356mm )   70  
Current rotation - normal
Current reflection - none
Rotations possible - normal left inverted right 
Reflections possible - none

1280x1024x75hz fails to produce a working mode. Other modes seem to work OK.

Using the intel modesetting driver.

Version-Release number of selected component (if applicable):

xorg-x11-drv-i810-1.6.5-11.fc7
xorg-x11-server-Xorg-1.2.0-5.fc7

Comment 1 Bill Nottingham 2007-02-07 21:28:58 UTC
Created attachment 147601 [details]
X log

Comment 2 Matěj Cepl 2007-02-07 23:47:21 UTC
Hi, Bill,

could I ask for /etc/X11/xorg.conf as well, please? Thanks.

Comment 3 Bill Nottingham 2007-02-08 16:57:03 UTC
Created attachment 147669 [details]
xorg.conf

Comment 4 Adam Jackson 2007-02-27 18:00:25 UTC
Yeah, reproducible here.  No idea why though, only thing I can think of is sync
polarity.  +hsync +vsync looks wrong.

Comment 5 Tom London 2007-04-12 22:47:13 UTC
I'm seeing a similar issue with Thinkpad X60.

It appears that 'intel' is not quite getting the rates set properly.

If I set to 1280x1024@75, it seems to set it to 1280x1024@78.8 (as reported by
the on screen display of my two LCD monitors).

When in this mode, doing 'xrandr --rate 60' seems to make it work, but actually
sets it to 1280x1024@60.1 (or something close).

1280x1024@75 works OK with 'i810'.

This possibly related?

Comment 6 Jesse Barnes 2008-01-10 22:09:55 UTC
The upstream intel driver and Xorg have some new quirks to deal with bad sync 
polarities.  Would be good to re-test and see if the problems still occur.

Comment 7 Bill Nottingham 2008-01-10 22:17:42 UTC
Still happens on F8.

Comment 8 Bug Zapper 2008-05-14 02:35:44 UTC
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2009-06-09 22:26:39 UTC
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Bug Zapper 2009-07-14 16:48:19 UTC
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.